Bug 1014593 - rhqadmin (super user role with Manage Bundle Groups permission) cannot create bundle group
rhqadmin (super user role with Manage Bundle Groups permission) cannot create...
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Provisioning (Show other bugs)
JON 3.2
x86_64 Linux
unspecified Severity urgent
: ER03
: JON 3.2.0
Assigned To: John Mazzitelli
Mike Foley
:
Depends On:
Blocks: 1006687 jon32-Beta-Blockers-1006862
  Show dependency treegraph
 
Reported: 2013-10-02 07:25 EDT by Armine Hovsepyan
Modified: 2015-09-02 20:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-02 15:36:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rhqadmin_notAbleToGreateBundleGroup.png (84.64 KB, image/png)
2013-10-02 07:25 EDT, Armine Hovsepyan
no flags Details
rhqadmin_superuserrole.ong (198.28 KB, image/png)
2013-10-02 07:26 EDT, Armine Hovsepyan
no flags Details
createBundle.png (79.22 KB, image/png)
2013-10-08 07:48 EDT, Armine Hovsepyan
no flags Details

  None (edit)
Description Armine Hovsepyan 2013-10-02 07:25:40 EDT
Created attachment 806393 [details]
rhqadmin_notAbleToGreateBundleGroup.png

Description of problem:
rhqadmin (super user role with Manage Bundle Groups permission) cannot create bundle group

Version-Release number of selected component (if applicable):
jon 3.2. er2

How reproducible:
always

Steps to Reproduce:
1. log in as rhqadmin
2. (created role and user with assign bundles to group permission)
3. navigate to "Bundles"
4. click on "New" buton under "Bundle Groups" section

Actual results:
"You do not have the permissions required to create a new [Bundle Groups]" exception present on page, rhqadmin is not able creating bundle groups

Expected results:
rhqadmin ( having manage bundle groups permission) is able creating bundle groups

Additional info:
scrrenshot attached
Comment 1 Armine Hovsepyan 2013-10-02 07:26:38 EDT
Created attachment 806394 [details]
rhqadmin_superuserrole.ong
Comment 2 John Mazzitelli 2013-10-03 09:46:37 EDT
git commit to master: 5727aa8
Comment 3 Simeon Pinder 2013-10-08 03:41:51 EDT
Moving to ON_QA for testing.
Comment 4 Armine Hovsepyan 2013-10-08 07:48:28 EDT
Created attachment 809236 [details]
createBundle.png
Comment 5 Armine Hovsepyan 2013-10-08 07:49:21 EDT
verified
User with manage bundle group role permissions can created roles

Note You need to log in before you can comment on or make changes to this bug.